<?php
/**
 * Expedipro_Synchro extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Expedipro
 * @package        Expedipro_Synchro
 * @author         Hilly N
 * @copyright      Copyright (c) 2016
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */


/**
 * Front controller
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 *
 * @category       Shipping
 * @package        Expedipro_Synchro
 * @author         Hilly
 * @copyright      Copyright (c) 2016
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */

class Expedipro_Synchro_ActionController extends Mage_Core_Controller_Front_Action
{
    /**
      * default action
      *
      * @access public
      * @return void
      */
    public function indexAction()
    {
        $currentDir = Mage::getModuleDir('controllers', 'Expedipro_Synchro') .'/..';
        include( $currentDir. "/includes/Utils.php");
        $utils = new Expedipro_Synchro_Includes_Utils( $currentDir ); // used for DI, better than shared static

        //error_reporting(0);
        ini_set('memory_limit', '1024M');
        set_time_limit(12*60);

        $controller = $utils->getInstance('controller');

        if ( version_compare(Mage::getVersion(), '1.5.0.0', '<') ) {
            $utils->answerAddError('ACTPRO401', 'Magento 1.5+ est requis', 'Current version is '.Mage::getVersion() );
            $controller->sendBackAnswer(401);
        }

        $controller->handleRequest( $utils );
    }


}
